[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.OnBandInfo

Event handler signalled to get the insets rectangles, preferred size, and row count for the control bar.

## Declaration

Source position: extctrls.pp line 1675

`public property TCustomControlBar.OnBandInfo : TBandInfoEvent read FOnBandInfo write FOnBandInfo;`

## Description

OnBandInfo is a TBandInfoEvent property with the event handler signalled to get the insets rectangles, preferred size, and row count for the control bar. Called from the GetControlInfo method (if assigned) when a new control is added to the control bar.

## See also

TCustomControlBar.GetControlInfo |  | Signals the OnBandInfo event handler to store control information to the arguments for the method.
TBandInfoEvent |  | Specifies an event handler used to get layout and positioning information for a control on a band in TControlBar.